<p align="center"><a href="https://laravel.com" target="_blank"><img src="https://raw.githubusercontent.com/laravel/art/master/logo-lockup/5%20SVG/2%20CMYK/1%20Full%20Color/laravel-logolockup-cmyk-red.svg" width="400" alt="Laravel Logo"></a></p>

<p align="center"><a href="https://umri.ac.id/" target="_blank"><img src="https://umri.ac.id/assets/dev/logo_umri.png" width="400" alt="UMRI Logo"></a></p>


## About Laravel - Web Framework UMRI

Laravel is a web application framework with expressive, elegant syntax. We believe development must be an enjoyable and creative experience to be truly fulfilling. Laravel takes the pain out of development by easing common tasks used in many web projects, such as:

- [Simple, fast routing engine](https://laravel.com/docs/routing).
- [Powerful dependency injection container](https://laravel.com/docs/container).
- Multiple back-ends for [session](https://laravel.com/docs/session) and [cache](https://laravel.com/docs/cache) storage.
- Expressive, intuitive [database ORM](https://laravel.com/docs/eloquent).
- Database agnostic [schema migrations](https://laravel.com/docs/migrations).
- [Robust background job processing](https://laravel.com/docs/queues).
- [Real-time event broadcasting](https://laravel.com/docs/broadcasting).

Laravel is accessible, powerful, and provides tools required for large, robust applications.


## How To Start Clone Project

1. Run **```git clone git@gitlab.com:nyoman.id/web-framework-umri.git```** or  **```git clone https://gitlab.com/nyoman.id/web-framework-umri.git```**, on your local pc and run **```cd web-framework-umri```** to move in the directory of project.
1. Run **```composer install```** <br>This will install all of the project dependencies. It will installs Laravel itself, among other necessary packages to get started. It will checks the ```composer.json``` file which is submitted to the git repo and lists all of the composer (PHP) packages that your repo requires. 
1. Run **```cp .env.example .env```** <br>```.env``` files are not generally committed to source control for security reasons. But there is a ```.env.example``` which is a template of the ```.env``` file that the project expects us to have. So we will make a copy of the ```.env.example``` file and create a ```.env``` file that we can start to fill out to do things like database configuration in the next few steps.
1. Run **```php artisan key:generate```** <br>
Laravel requires you to have an app encryption key which is generally randomly generated and stored in your ```.env``` file. The app will use this encryption key to encode various elements of your application from cookies to password hashes and more.
1. Create an empty database and in the ```.env``` file fill in the ```DB_HOST```, ```DB_PORT```, ```DB_DATABASE```, ```DB_USERNAME```, and ```DB_PASSWORD``` options to match the credentials of the database you just created.
1. Run **```php artisan migrate```**<br>Once your credentials are in the ```.env``` file, now you can migrate your database. You can also check your database to make sure everything migrated the way you expected.
1. Run **```php artisan db:seed```**<br>This action will seed your current database with data that already setup on sedeer file.
1. If you want to setup a ```virtual host``` in your pc to run this program, make sure you follow the correct way to do that. Also consider what type of web server you are using (apache or nginx or docker), because each has a different way of setting it up.
1. If you just want to run / test in simple way (without setting ```virtual host```), you just can run ```php artisan serve``` on terminal / command line. It will serve you a link with port that you can use to access this Laravel project.


## Learning Laravel

Laravel has the most extensive and thorough [documentation](https://laravel.com/docs) and video tutorial library of all modern web application frameworks, making it a breeze to get started with the framework.

You may also try the [Laravel Bootcamp](https://bootcamp.laravel.com), where you will be guided through building a modern Laravel application from scratch.

If you don't feel like reading, [Laracasts](https://laracasts.com) can help. Laracasts contains over 2000 video tutorials on a range of topics including Laravel, modern PHP, unit testing, and JavaScript. Boost your skills by digging into our comprehensive video library.

## Laravel Sponsors

We would like to extend our thanks to the following sponsors for funding Laravel development. If you are interested in becoming a sponsor, please visit the Laravel [Patreon page](https://patreon.com/taylorotwell).

### Premium Partners

- **[Vehikl](https://vehikl.com/)**
- **[Tighten Co.](https://tighten.co)**
- **[Kirschbaum Development Group](https://kirschbaumdevelopment.com)**
- **[64 Robots](https://64robots.com)**
- **[Cubet Techno Labs](https://cubettech.com)**
- **[Cyber-Duck](https://cyber-duck.co.uk)**
- **[Many](https://www.many.co.uk)**
- **[Webdock, Fast VPS Hosting](https://www.webdock.io/en)**
- **[DevSquad](https://devsquad.com)**
- **[Curotec](https://www.curotec.com/services/technologies/laravel/)**
- **[OP.GG](https://op.gg)**
- **[WebReinvent](https://webreinvent.com/?utm_source=laravel&utm_medium=github&utm_campaign=patreon-sponsors)**
- **[Lendio](https://lendio.com)**

## Contributing

Thank you for considering contributing to the Laravel framework! The contribution guide can be found in the [Laravel documentation](https://laravel.com/docs/contributions).

## Code of Conduct

In order to ensure that the Laravel community is welcoming to all, please review and abide by the [Code of Conduct](https://laravel.com/docs/contributions#code-of-conduct).

## Security Vulnerabilities

If you discover a security vulnerability within Laravel, please send an e-mail to Taylor Otwell via [taylor@laravel.com](mailto:taylor@laravel.com). All security vulnerabilities will be promptly addressed.

## License

The Laravel framework is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).

This original project is belongs to [I Nyoman Indra Darmawan](https://nyoman.id), presented and distributed on Praktisi Mengajar batch 3 session with Universitas Muhammadiyah Riau. May be cloned, forked, downloaded, used, or modified without permission. And after you do it, it's no longer become my responsibility.
